Package Details: libgnomeprint 2.18.8-8

Git Clone URL: https://aur.archlinux.org/libgnomeprint.git (read-only)
Package Base: libgnomeprint
Description: Printing routines for GNOME
Upstream URL: http://www.gnome.org/
Keywords: cups gnome libgnomeprint printing
Licenses: GPL, LGPL
Conflicts: libgnomeprint-cups
Replaces: libgnomeprint-cups
Submitter: None
Maintainer: thearchguy
Last Packager: xyproto
Votes: 148
Popularity: 0.001090
First Submitted: 2011-12-05 15:28
Last Updated: 2015-06-10 13:07

Latest Comments

1 2 3 4 Next › Last »

tallero commented on 2018-12-20 05:55

@TPXP: Here is the bug in freetype2 build

You need to recompile freetype2 with the option --enable-freetype-config to compile libgnomeprint. You can find the PKGBUILD to patch here

You also have to add the --enable-gtk-doc=no option to the configure of libgnomeprint PKGBUILD.

An updated PKGBUILD for libgnomeprint is here

TPXP commented on 2018-10-24 12:28

Looks like something is broken with Freetype :

configure: error: You need FreeType2 (freetype-devel v 2.x package) for this version of libgnomeprint

The freetype2 package is installed on my system. I tried installing lib32-freetype2 but still no luck :-/

Humble_Panda commented on 2014-07-04 09:41

Fair enough, that makes sense. Thanks biinari

biinari commented on 2014-07-04 09:31

Looks like bison is now in the base-devel group. I'm not sure how long it's been there but the general rule is to not mention dependencies that are in base-devel.

Humble_Panda commented on 2014-07-04 06:44

The problem has been fixed and http://sources.gentoo.org is now working again.
Moreover, I noticed bison is not a dependency listed on this package's dependencies list. Wouldn't it better to include bison to the list?
Cheers,

biinari commented on 2014-07-03 17:06

Looks like the server outage for sources.gentoo.org has been reported to gentoo already https://bugs.gentoo.org/show_bug.cgi?id=515828

Humble_Panda commented on 2014-07-02 05:58

It's been now several day that I'm getting an error while trying to update this package. It always says "failed to connect to sources.gentoo..." In fact, http://sources.gentoo.org doesn't even work :(

Cheers

pinball-fixer commented on 2014-06-29 15:07

No probs xyproto, I'm glad it worked out!

xyproto commented on 2014-06-26 14:15

The Gentoo patch worked out. Removed the make dependency on bison27. Thanks, pinball-fixer.

xyproto commented on 2014-06-23 15:33

Hi pinball-fixer. The patch you link to might work out. I'll give it a shot.